package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.*;

import java.util.List;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;
import org.apache.ibatis.annotations.Param;

public interface DataCatelogMapper {
    long countByExample(DataCatelogExample example);

    int deleteByExample(DataCatelogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DataCatelogWithBLOBs record);

    int insertSelective(DataCatelogWithBLOBs record);

    List<DataCatelogWithBLOBs> selectByExampleWithBLOBs(DataCatelogExample example);

    List<DataCatelog> selectByExample(DataCatelogExample example);

    DataCatelogWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DataCatelogWithBLOBs record, @Param("example") DataCatelogExample example);

    int updateByExampleWithBLOBs(@Param("record") DataCatelogWithBLOBs record, @Param("example") DataCatelogExample example);

    int updateByExample(@Param("record") DataCatelog record, @Param("example") DataCatelogExample example);

    int updateByPrimaryKeySelective(DataCatelogWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(DataCatelogWithBLOBs record);

    int updateByPrimaryKey(DataCatelog record);

    List<DataCatelogListModel> getDataCatelogList(DataCatelogSearchModel inputModel);

    long getDataCatelogListCount(DataCatelogSearchModel inputModel);

    List<SectorDataStaticsModel> getAllDataToView();

    List<SectorDataStaticsModel> getDataById(@Param("id")Long id);

    List<SectorChirdrenModel> getChildrenByDataName(@Param("name")String name);


    long selectCount(Long id);


//    List<ResourceApiInterfaceWithBLOBs> selectView(Long id);
}